#include "classicdyinganimationscenario.h"
#include "classicsprite.h"

void ClassicDyingAnimationScenario::launch(const std::shared_ptr<ClassicSprite> sprite, const microsec& time_begin, const microsec &time_end)
{
    _sprite = sprite;
    _time_begin = time_begin;
    _time_end = time_end;

    _sprite->pulse();
}

void ClassicDyingAnimationScenario::update(const microsec& music_offset)
{
    (void) music_offset;
    _sprite->update();
}

bool ClassicDyingAnimationScenario::isDone() const
{
    return _sprite->isDead();
}
